<?php

declare(strict_types=1);

namespace SimAVRPHP\Tests;

use SimAVRPHP\AVR;

use Psr\Log\NullLogger;

use PHPUnit\Framework\TestCase;
use PHPUnit\Framework\Attributes\CoversClass;
use PHPUnit\Framework\Attributes\UsesClass;


#[CoversClass(AVR::class)]

#[UsesClass(\SimAVRPHP\Opcode\Instruction::class)]
#[UsesClass(\SimAVRPHP\Opcode\NOP::class)]
#[UsesClass(\SimAVRPHP\ProgramCounter::class)]
#[UsesClass(\SimAVRPHP\Registers::class)]
class AVRTest extends TestCase
{
    public function testStepNOP(): void
    {
        $avr = new AVR(new NullLogger);
        $avr->setMemory("\00\00\00\00");
        $this->assertEquals(0, $avr->pc->get());
        $avr->step();
        $this->assertEquals(2, $avr->pc->get());
    }


}
Risky test fixed.
